#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-06-17; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.installer.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.installer
# SPDX-Security-Contact: security@coresecret.eu

guard_sourcing

### Definition of MUST set early variables.
declare -grx VAR_CONTACT="security@coresecret.eu"
declare -grx VAR_VERSION="Master V8.00.000.2025.06.17"
# shellcheck disable=SC2155
declare -grx VAR_SYSTEM="$(uname -a)"
declare -gx VAR_ARG_SANITIZED=""
declare -gx VAR_AUTO_INSTALL="false"
declare -gx VAR_DEBUG_TRACE="false"
declare -gx VAR_DEBUG_TRAP="false"
declare -gx VAR_IN_DIALOG_WR="false"
declare -gx VAR_SCRIPT_SUCCESS="false"

# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
